package de.ivu.elect.business.security.control;

import de.ivu.elect.business.security.UseCasePermission;

import java.util.Set;

public interface NlUseCasePermissionAllowDenylist {

  Set<UseCasePermission> WAS_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_allowlist.txt", true);

  // ELECT-10289
//  @Deprecated // Konzept überdenken
//  Set<UseCasePermission> WAS_PSB_DENYLIST = UseCasePermissionAllowlist.read("usecase_was_psb_denylist.txt", true);
//  @Deprecated // Konzept überdenken
//  Set<UseCasePermission> WAS_HSB_DENYLIST = UseCasePermissionAllowlist.read("usecase_was_hsb_denylist.txt", true);
//  @Deprecated // Konzept überdenken
//  Set<UseCasePermission> WAS_CSB_DENYLIST = UseCasePermissionAllowlist.read("usecase_was_csb_denylist.txt", true);

  Set<UseCasePermission> WAS_INITIAL_GEMEINDE_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_initial_gemeinde_allowlist.txt", true);
  Set<UseCasePermission> WAS_INITIAL_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_initial_allowlist.txt", true);
  Set<UseCasePermission> WAS_ERFASSUNG_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_erfassung_allowlist.txt", true);
  Set<UseCasePermission> WAS_ABSCHLUSS_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_abschluss_allowlist.txt", true);
  Set<UseCasePermission> WAS_SITZBERECHNUNG_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_sitzberechnung_allowlist.txt", true);
  Set<UseCasePermission> WAS_FREIGABE_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_was_freigabe_allowlist.txt", true);

  Set<UseCasePermission> WUS_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_allowlist.txt", true);
  Set<UseCasePermission> WUS_INITIAL_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_initial_allowlist.txt", true);
  Set<UseCasePermission> WUS_EINREICHUNG_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_einreichung_allowlist.txt", true);
  Set<UseCasePermission> WUS_PRUEFUNG_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_pruefung_allowlist.txt", true);
  Set<UseCasePermission> WUS_NUMMERIERUNG_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_nummerierung_allowlist.txt", true);
  Set<UseCasePermission> WUS_FREIGABE_ALLOWLIST = UseCasePermissionAllowlist.read("usecase_wus_freigabe_allowlist.txt", true);

}
